Subject: [payload] draft-rea-avt-rtp-aptx-00

From: "Derrick Rea" <[email-masked]>
Date: Wed, 5 Oct 2011 16:37:10 +0100

Hi,

The internet-draft, draft-rea-payload-rtp-aptx-00, is due to expire next week and I ask whether it can be moved to the next stage of the INTERNET STANDARDS TRACK. 

I've only had one comment, from Colin Perkins, made against the draft over the last six months and I've made a small change as a result (Discussion and change below).  Can I update the draft and still ask that it be considered by the IESG?

Regards,
Derrick

__________________________________________________________________
Proposed Update
__________________________________________________________________
(As in draft-rea-payload-rtp-aptx-00)

5.1.  RTP Header Usage

  o  M - As per [RFC3550]

   o  PT - Payload Type to be defined according to MIME allocation:
      audio/aptx

__________________________________________________________________
(Proposed update)

5.1.  RTP Header Usage

  o  M - This payload format defines no use for this bit. Senders
      SHOULD set this bit to zero in each outgoing packet. 

   o  PT - A dynamic payload type, i.e. one within the range [96..127],
      MUST be used. [RFC3551]

__________________________________________________________________

__________________________________________________________________
Email Discussion
__________________________________________________________________
----

Audemat | Ecreso | APT
Dr Derrick Rea
Principal Engineer
E-mail : [email-masked]  Tel : +44 (0) 28 9067 7200

Head office:
20, av Neil Armstrong, Parc d'Activités J.F. Kennedy
33700 Bordeaux-Mérignac - FRANCE
Tel: +33 557 928 928 - Fax: +33 557 928 929

http://www.audemat.com | http://www.ecreso.com | http://www.aptx.com -----Original Message-----
From: Colin Perkins [mailto:[email-masked]]
Sent: 25 July 2011 15:53
To: Derrick Rea
Subject: Re: [payload] draft-rea-avt-rtp-aptx-00 renamed draft-rea-payload-rtp-aptx-00

Derrick,

Apologies for the slow reply.

The issue with in-band auxiliary and synchronisation data is just that RTP provides its own mechanisms for synchronisation, and to carry SMPTE time codes. It's generally better to avoid providing two different ways of performing a single function, where possible.

Colin

On 3 May 2011, at 05:24, Derrick Rea wrote:

> Colin,
> 
> Thanks for the comments. Sorry for the delay in responding but I've been off on holiday.
> 
> I'll fix the M bit reference issue and change the "Payload Type to be defined according to MIME allocation" statement to clarify that it's a dynamic assignment, negotiated by signalling, in the next version of this draft. 
> 
> I'm a bit unclear where the problems with in-band auxiliary and synchronisation data occur in the internet-draft. Both are very popular features of the Standard and Enhanced apt-X algorithms.  I'm aware that the details of how the algorithm encodes these into the bitstream isn't fully transparent to the IETF community but the internet-draft is not meant to specify how to encode and decode the apt-X streams, only how to packetize the encoded apt-X streams. Can you please explain your viewpoint a little more?
> 
> Derrick
> 
> 
> ----
> 
> Audemat | Ecreso | APT
> Dr Derrick Rea
> Principal Engineer
> E-mail : [email-masked]  Tel : +44 (0) 28 9067 7200
> 
> Head office:
> 20, av Neil Armstrong, Parc d'Activités J.F. Kennedy
> 33700 Bordeaux-Mérignac - FRANCE
> Tel: +33 557 928 928 - Fax: +33 557 928 929
> 
> http://www.audemat.com | http://www.ecreso.com | http://www.aptx.com 
> -----Original Message-----
> From: Colin Perkins [mailto:[email-masked]]
> Sent: 27 April 2011 19:20
> To: Derrick Rea
> Subject: Re: [payload] draft-rea-avt-rtp-aptx-00 renamed
> draft-rea-payload-rtp-aptx-00
> 
> Derrick,
> 
> On 18 Apr 2011, at 10:57, Derrick Rea wrote:
>> I've renamed and re-submitted draft-rea-avt-rtp-aptx-00 as draft-rea-payload-rtp-aptx-00 so that it can be associated with the Audio/Video Transport Payloads working group. Can all future discussions refer to the new draft-rea-payload-rtp-aptx-00 document.
> 
> This looks greatly improved compared to draft-trainor-avt-rtp-aptx-00. My notes on that draft had a number of issues that look to be still present in this version though:
> 
> - Use of M bit "as per RFC 3550", but RFC 3550 doesn't define audio specific rules. Needs to refer to RFC 3551.
> 
> - "Payload Type to be defined according to MIME allocation" -> the intent it clear, but the wording needs to be changed to clarify that it's a dynamic assignment, negotiated by the signalling.
> 
> - Auxiliary and synchronisation data carried in-band is not ideal, but possibly unavoidable given the nature of the codec.
> 
> Hope this is useful.
> Colin
> 
> --
> Colin Perkins
> http://csperkins.org/
> 
> 
> 

--
Colin Perkins
http://csperkins.org/